# toriptables2 
![](https://img.shields.io/badge/toriptables2-python_2.7-blue.svg?style=flat-square) ![](https://img.shields.io/badge/dependencies-tor-orange.svg?style=flat-square) ![](https://img.shields.io/badge/GPL-v2-blue.svg?style=flat-square) [![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg?style=flat-square)](https://github.com/ruped24/toriptables2/graphs/commit-activity)

Tor Iptables script is an anonymizer that sets up iptables and tor to route all services and traffic including DNS through the Tor network. 

---

#### Dependencies:
```bash
apt install tor
```
---

#### [Usage](https://drive.google.com/open?id=0B79r4wTVj-CZVy10Ujg5Vjl5WFk):
```python
toriptables2.py -l
```
---

#### To test your anonymity:
<details><summary>Expand for anonymity test</summary>
<br>
 
* [Check My IPx](https://ipx.ac/)
* [Check Tor Project](https://check.torproject.org)
* [Do I leak](https://www.doileak.com/classic.html)
* [DNS leak test](http://dnsleaktest.com)
* [Test IPv6](http://ipv6-test.com/)
* [What is my proxy](http://whatismyproxy.com)
* [What every Browser knows about you](http://webkay.robinlinus.com/)

</details>

---

#### To change Tor IP address:
<details><summary>Expand for change Tor IP</summary>
<br>

```bash
toriptables2.py -r
```
</details>

---

#### To automate changing Tor IP:
<details><summary>Expand for tor ip switcher</summary>
<br>

[► **Screenshot**](https://drive.google.com/open?id=0B79r4wTVj-CZOGJadlBtWWxPWFk)

[► **Tor IP Switcher**](https://github.com/ruped24/tor_ip_switcher#tor_ip_switcher)

</details>

---

#### Screenshots:
<details><summary>Expand for Screenshots</summary>
 
* [KaliBang Linux Rolling](https://drive.google.com/open?id=1fHtOvukq0j3dcSKk6Yw_d2L3JuXnjNav)

* [Kali Linux, Rolling Edition](https://drive.google.com/open?id=0B79r4wTVj-CZMzlnRWZTcVcyUnc)

* [Tor IPTables rules loaded](https://drive.google.com/open?id=0B79r4wTVj-CZT0NMV2VZRTM1REE)

</details>

---
## [toriptables2g w/ GUI notification](https://bitbucket.org/ruped24/toriptables2g/src)
<details><summary>Expand for toriptables2g installation and usage</summary>

#### Dependencies:

```bash
apt install tor
```
***
#### Screenshots:
<details><summary>Expand for screenshots</summary>
<br>
 
* [Kali Linux, Rolling Edition [ON]](https://drive.google.com/open?id=0B79r4wTVj-CZSEdkaTBNOVc5aUU)
* [Kali Linux, Rolling Edition [OFF]](https://drive.google.com/file/d/1NPZ1SKI9rh9XkaplF2_DzHSoPL77aiy-/view?usp=sharing)

</details>

***
#### Usage Demo:
<details><summary>Exapand for notification demo</summary>
 <br>
 
* [Kali Linux, Rolling Edition [Demo]](https://drive.google.com/file/d/1kWdp8ciWTX5onuinR-3DjYKgcTFh9QJM/view?usp=sharing)

</details>

</details>

---

# [toriptables3](https://github.com/ruped24/toriptables3)
<details><summary>Expand for toriptables3</summary>
<br>

Upgrade to [toriptables3](https://github.com/ruped24/toriptables3/releases/tag/v3.0) the successor to [toriptables2](https://github.com/ruped24/toriptables2/releases/tag/2-2.1).

</details>

---

### [Installation Methods](https://github.com/ruped24/toriptables2/wiki/Optional-Installation-methods-for-toriptables2.py)

### [Troubleshooting and FAQ](https://github.com/ruped24/toriptables2/wiki/Troubleshooting)
